/*
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 *  Copyright (C) 1996  Ralf Baechle
 */
#include <asm/cachectl.h>
#include <asm/ptrace.h>
#include <asm/mipsregs.h>

extern asmlinkage void mips1_cacheflush(void *addr, int nbytes, unsigned int flags);

void (*mips_cache_init)(void);

static void
mips1_cache_init(void)
{
	cacheflush = mips1_cacheflush;
}

void (*switch_to_user_mode)(struct pt_regs *regs);

static void
mips1_switch_to_user_mode(struct pt_regs *regs)
{
	regs->cp0_status = regs->cp0_status | ST0_KUC;
}

void
mips1_cpu_init(void)
{
	mips_cache_init = mips1_cache_init;
	switch_to_user_mode = mips1_switch_to_user_mode;
}
